      SUBROUTINE FAMISO ( LDEBUG )
#include "facom0.h"
C****
C        Ce sous-programme permet d'activer ou de desactiver le mode
C     "Mise au point du logiciel". ( par defaut, inactif )
C        A noter que le mode "mise au point" du logiciel LFI n'est pas
C     modifie.
C**
C        Argument : LDEBUG (Entree) ==> Vrai si on doit activer ce mode.
C
#include "precision.h"
C
#include "facomp.h"
#include "facom1.h"
C
      INTEGER IREP, INUMER, INIMES
C
      LOGICAL LLPREA, LDEBUG
      SAVE LLPREA
C
      DATA LLPREA /.TRUE./
C
      IF (LLPREA) THEN
        CALL FARINE (2)
        LLPREA=.FALSE.
      ENDIF
C
      LFAMOP=LDEBUG
C
C  Prise en compte du niveau de messagerie dans GRIBEX
C
      IF (LFAMOP) THEN
        CALL GRSDBG(1)
      ELSE
        CALL GRSDBG(0)
      ENDIF
C
C        MESSAGERIE EVENTUELLE .
C
      IF (NIMSGA.NE.2) RETURN
      INUMER=JPNIIL
      INIMES=2
      IREP=0
      CLNSPR='FAMISO'
      WRITE (UNIT=CLMESS,FMT='(''LDEBUG= '',L1)') LDEBUG
      CALL FAIPAR (INUMER,INIMES,IREP,.FALSE.,CLMESS,CLNSPR,CLACTI,
     S             .FALSE.)
C
      RETURN
      END
